Bug 1014485 - CLI should exit on SIGINT (windows)
CLI should exit on SIGINT (windows)
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: CLI (Show other bugs)
6.2.0
Unspecified Windows
unspecified Severity medium
: ---
: ---
Assigned To: Alexey Loubyansky
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 04:22 EDT by Petr Kremensky
Modified: 2015-01-14 00:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-14 00:43:41 EST
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-10-02 04:22:11 EDT
Description of problem:
 CLI should exit on windows once I press Ctrl+C.

Version-Release number of selected component (if applicable):
 EAP 6.2.0.ER3

Steps to Reproduce:
 1. Start server
 2. Connect to cli 
 3. Press Ctrl+C combination

Actual results:
 [standalone@localhost:9999 /] ♥

Expected results:
 Cli session will be terminated
Comment 1 Ståle W. Pedersen 2013-10-09 03:32:39 EDT
this is an æsh bug and ive created a jira here: https://issues.jboss.org/browse/AESH-139
i have a fix and a new version of æsh will be released later today.
Comment 2 Ståle W. Pedersen 2013-10-09 06:51:27 EDT
version 0.33.9 has been pushed to maven where this should be fixed.
Comment 3 Petr Kremensky 2015-01-14 00:43:41 EST
Closing this one as issue is no longer present (EAP 6.4.0.ER1).

Note You need to log in before you can comment on or make changes to this bug.